
Ryzom - Feature # 1019

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 07/14/2010 Assignee: kervala
Updated: 07/18/2010 Due date:
Subject: Add public setWindowIcon method to UDriver
Description

Now we implemented setWindowIcon, we can add an interface to call it from NeL applications.

Related issues:
blocked by Ryzom - Feature # 1018: Implement setWindowIcon for Win32 Closed 07/14/2010
blocked by Ryzom - Feature # 973: Add an internal method to set an icon for X... Closed 06/10/2010

History
#1 - 07/14/2010 04:20 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r478.

#2 - 07/14/2010 04:23 pm - kervala
- Target version set to Version 0.8.0

To use it :
 1        std::vector<NLMISC::CBitmap> bitmaps;
 2
 3        NLMISC::CIFile file;
 4
 5        std::string fileName;
 6
 7        fileName = "icon_small.png";
 8
 9        if (file.open(fileName))
10        {
11            NLMISC::CBitmap bitmap;
12            if (bitmap.load(file))
13                bitmaps.push_back(bitmap);
14        }
15
16        fileName = "icon_big.png";
17
18        if (file.open(fileName))
19        {
20            NLMISC::CBitmap bitmap;
21            if (bitmap.load(file))
22                bitmaps.push_back(bitmap);
23        }
24
25        Driver->setWindowIcon(bitmaps);
26

Basically, you can put as many icons you want, it will try to find icons with the exact size first (16x16 and 32x32 for Windows) or take bigger icons and
resize them. Under Linux, it will take best icons.

#3 - 07/18/2010 10:16 am - kervala
- Status changed from Resolved to Closed
